Subject: Re: [PATCH v3 0/8] Change midx.c and midx-write.c to not use global variables

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 3 Dec 2024 10:43:13 +0100

On Thu, Nov 28, 2024 at 10:27:54AM +0900, Junio C Hamano wrote:
> Karthik Nayak <[email-masked]> writes:
> 
> > Changes in v3:
> > - Split out the first commit into a separate series [1].
> > - Improved some of the commit messages to be more descriptive.
> > - Merged the 8th and 9th commits together, since they were similar.
> > - v2: https://lore.kernel.org/r/20241119-374-refactor-midx-c-[email-masked]
> 
> Merging either v2 or v3 to 'master', together with their
> prerequisite topics/patches, seems to result in identical trees,
> which is fine if reviews on previous rounds did not find any bugs.
> 
> Will queue.  Thanks.

I've had another read through the series and couldn't find any issues
with it. I also scanned through v2 to see whether there was any feedback
on code, but it seems like the only complaints there were about commit
messages. So I guess it is expected that the trees are identical.

So this looks good to me overall, thanks!

Patrick